View Issue Details

IDProjectCategoryView StatusLast Update
0004353SymmetricDS ProBugpublic2020-04-21 15:03
Reportergwilmer Assigned Toelong  
Priorityhigh 
Status closedResolutionfixed 
Product Version3.11.7 
Target Version3.11.8Fixed in Version3.11.8 
Summary0004353: Unable to run as a service on RHEL because Java absolute path
DescriptionUnable to run SymmetricDS as a service on RHEL 7.7. The /usr/lib/systemd/system/SymmetricDS.service file has "java" as the executable, but it should be an absolute path to Java.

Linux version info:

cat /etc/os-release
NAME="Red Hat Enterprise Linux Server"
VERSION="7.7 (Maipo)"
ID="rhel"
ID_LIKE="fedora"
VARIANT="Server"
VARIANT_ID="server"
VERSION_ID="7.7"
PRETTY_NAME=RHEL
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:redhat:enterprise_linux:7.7:GA:server"
HOME_URL="https://www.redhat.com/"
BUG_REPORT_URL="https://bugzilla.redhat.com/"
REDHAT_BUGZILLA_PRODUCT="Red Hat Enterprise Linux 7"
REDHAT_BUGZILLA_PRODUCT_VERSION=7.7
REDHAT_SUPPORT_PRODUCT="Red Hat Enterprise Linux"
REDHAT_SUPPORT_PRODUCT_VERSION="7.7"

Steps To Reproduce - Install linux as a service through installer.
 - Attempt to start, or specify status of SymmetricDS service.

sudo systemctl start SymmetricDS.service
Failed to start SymmetricDS.service: Unit is not loaded properly: Invalid argument.
See system logs and 'systemctl status SymmetricDS.service' for details.
[REDACTED@REDACTED logs]$ systemctl status SymmetricDS.service
● SymmetricDS.service - Database Synchronization
  Loaded: error (Reason: Invalid argument)
  Active: inactive (dead)
[REDACTED@REDACTED logs]$

[REDACTED@REDACTED ~]$ sudo systemctl status SymmetricDS.service
● SymmetricDS.service - Database Synchronization
  Loaded: error (Reason: Invalid argument)
  Active: inactive (dead)
Apr 16 11:57:01 REDACTED systemd[1]: [/usr/lib/systemd/system/SymmetricDS.service:10] Executable path is not absolute, ignoring: java -jar /ap...jar start
Apr 16 11:57:01 REDACTED systemd[1]: [/usr/lib/systemd/system/SymmetricDS.service:11] Executable path is not absolute, ignoring: java -jar /ap....jar stop
Apr 16 11:57:01 REDACTED systemd[1]: [/usr/lib/systemd/system/SymmetricDS.service:12] Executable path is not absolute, ignoring: java -jar /ap...r restart
Apr 16 11:57:01 REDACTED systemd[1]: SymmetricDS.service lacks both ExecStart= and ExecStop= setting. Refusing.
Apr 16 11:57:01 REDACTED systemd[1]: Cannot add dependency job for unit SymmetricDS.service, ignoring: Unit is not loaded properly: Invalid argument.
Hint: Some lines were ellipsized, use -l to show in full.
[REDACTED@REDACTED ~]$ sudo systemctl start SymmetricDS.service
Failed to start SymmetricDS.service: Unit is not loaded properly: Invalid argument.
See system logs and 'systemctl status SymmetricDS.service' for details.
[REDACTED@REDACTED ~]$
TagsNo tags attached.

Relationships

related to 0004358 closedpmarzullo SymmetricDS JNA error from systemd on RHEL 

Activities

elong

2020-04-17 10:05

developer   ~0001699

1. The stack trace is cut off, please send output of "sudo systemctl status SymmetricDS.service -l"

2. Try running command line yourself: /usr/bin/java -jar /app/symmetricds/lib/symmetric-wrapper.jar start

elong

2020-04-17 11:15

developer   ~0001700

Can you attach the logs/install.log?

pmarzullo

2020-04-17 15:43

developer   ~0001702

I was able to reproduce the java specification (not absolute patch) in the service specification file.

I was not able to reproduce the JNA issue (I edited the service file to specify absolute path of java, and rebooted). It came up just fine.
I am running on 7.8 (I did install 7.7, but then did an update to get up to date tools and stuff, but it ended up updating to 7.8).

Really can use those logs before I remove virtual machine and reinstall 7.7 to test there.

elong

2020-04-21 10:49

developer   ~0001708

Moved JNA error to issue 0004358

Issue History

Date Modified Username Field Change
2020-04-16 15:46 gwilmer New Issue
2020-04-17 10:05 elong Note Added: 0001699
2020-04-17 11:15 elong Note Added: 0001700
2020-04-17 15:43 pmarzullo Note Added: 0001702
2020-04-21 10:46 elong Issue cloned: 0004358
2020-04-21 10:46 elong Relationship added related to 0004358
2020-04-21 10:49 elong Assigned To => elong
2020-04-21 10:49 elong Status new => resolved
2020-04-21 10:49 elong Resolution open => fixed
2020-04-21 10:49 elong Fixed in Version => 3.11.8
2020-04-21 10:49 elong Target Version => 3.11.8
2020-04-21 10:49 elong Summary Unable to install SymmetricDS as a service on RHEL => Unable to run as a service on RHEL because Java absolute path
2020-04-21 10:49 elong Description Updated View Revisions
2020-04-21 10:49 elong Additional Information Updated View Revisions
2020-04-21 10:49 elong Note Added: 0001708
2020-04-21 15:03 admin Status resolved => closed